#
# spec file for package python-ptpython
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ptpython
Version:        2.0.3
Release:        4.1
Summary:        Python REPL build on top of prompt_toolkit
License:        ISC
Group:          Development/Languages/Python
Url:            https://github.com/jonathanslenders/ptpython
Source:         https://files.pythonhosted.org/packages/source/p/ptpython/ptpython-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Pygments}
BuildRequires:  %{python_module docopt}
BuildRequires:  %{python_module jedi >= 0.9.0}
BuildRequires:  %{python_module prompt_toolkit >= 2.0.6}
# /SECTION
Requires:       python-Pygments
Requires:       python-docopt
Requires:       python-jedi >= 0.9.0
Requires:       python-prompt_toolkit >= 2.0.6
%ifpython3
Recommends:     python3-ptpython-ptipython
%endif
BuildArch:      noarch

%python_subpackages

%description
Ptpython is an advanced Python REPL.

%package     -n python3-ptpython-ptipython
Summary:        Python REPL build on top of prompt_toolkit - IPython support
Group:          Development/Languages/Python
Requires:       python3-jupyter_ipython
Requires:       python3-ptpython

%description -n python3-ptpython-ptipython
Ptpython is an advanced Python REPL.

This package provides IPython support to Ptpython.

%prep
%setup -q -n ptpython-%{version}
sed -i -e '/^#!\//, 1d' ptpython/entry_points/run_*.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

rm %{buildroot}%{_bindir}/ptpython
rm %{buildroot}%{_bindir}/ptipython
rm %{buildroot}%{_bindir}/ptipython2*

%files %{python_files}
%doc CHANGELOG README.rst
%license LICENSE
%python2_only %{_bindir}/ptpython2*
%python3_only %{_bindir}/ptpython3*
%{python_sitelib}/*

%files -n python3-ptpython-ptipython
%license LICENSE
%{_bindir}/ptipython3*

%changelog
* Mon Feb  4 2019 jengelh@inai.de
- Trim conjecture from descriptions.
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Oct 26 2018 toddrme2178@gmail.com
- Update to version 2.0.3
  * Allow changing the min/max brightness.
  * Some changes for compatibility with the latest prompt_toolkit.
- Update to version 2.0.2
  * Don't crash the history browser when there was no history.
  * Set last exception in the sys module, when an exception was
    raised.
  * Require prompt_toolkit 2.0.5.
- Update to version 2.0.1
  * Upgrade to prompt_toolkit 2.0.x.
- Split IPython support into its own subpackage and make it
  python3-only. Due to the python2 version of IPython using
  prompt_toolkit 1.x and both the python3 version of IPython
  and Ptpython using prompt_toolkit 2.x, the python2 version of
  Ptpython cannot be used with IPython anymore.
* Thu May 24 2018 toddrme2178@gmail.com
- spec file cleanups
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 0.41
  * See changelog at https://github.com/jonathanslenders/ptpython/blob/da2c5281f60c2d8a92749709219771ffaa84220f/CHANGELOG
* Thu Mar  5 2015 toddrme2178@gmail.com
- Initial version
